Bug 1136535 - pungi/lorax: failed to open magic file: could not find any valid magic files
Summary: pungi/lorax: failed to open magic file: could not find any valid magic files
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pungi
Version: 21
Hardware: ppc64le
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Keywords:
Depends On: 1134566
Blocks: PPCTracker F21AlphaFreezeException F-ExcludeArch-ppc64le, PPC64LETracker F21PPCAlpha
TreeView+ depends on / blocked
 
Reported: 2014-09-02 19:33 UTC by Mark Hamzy
Modified: 2014-09-23 02:42 UTC (History)
7 users (show)

(edit)
Clone Of: 1134566
(edit)
Last Closed: 2014-09-23 02:42:22 UTC


Attachments (Terms of Use)

Description Mark Hamzy 2014-09-02 19:33:00 UTC
+++ This bug was initially created as a clone of Bug #1134566 +++

Running pungi to build a ppc64le iso encounters the following problem:

Pungi:INFO: Running /usr/bin/mkisofs -v -U -J -R -T -m repoview -m boot.iso -part -hfs -r -l -sysid PPC -no-desktop -allow-multidot -chrp-boot -map /usr/share/lorax/config_files/ppc/mapping -magic /usr/share/lorax/config_files/ppc/magic -hfs-bless /root/composes/20140827/ppc64le/os/ppc/mac -V Fedora-20140827-ppc64le -o /root/composes/20140827/ppc64le/iso/Fedora-DVD-ppc64le-20140827.iso /root/composes/20140827/ppc64le/os
Pungi:ERROR: Got an error from /usr/bin/mkisofs
Pungi:ERROR: Warning: creating filesystem that does not conform to ISO-9660.
/usr/share/lorax/config_files/ppc/magic, 20: Warning: Printf format `h' is not valid for type `leshort' in description `%hd x'
/usr/share/lorax/config_files/ppc/magic, 21: Warning: Printf format `h' is not valid for type `leshort' in description `%hd,'
failed to open magic file: could not find any valid magic files!

Traceback (most recent call last):
  File "/usr/bin/pungi", line 294, in <module>
    main()
  File "/usr/bin/pungi", line 174, in main
    mypungi.doCreateIsos()
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 1648, in doCreateIsos
    pypungi.util._doRunCommand(mkisofs + extraargs, self.logger)
  File "/usr/lib/python2.7/site-packages/pypungi/util.py", line 36, in _doRunCommand
    raise OSError, "Got an error from %s: %s" % (command[0], err)
OSError: Got an error from /usr/bin/mkisofs: Warning: creating filesystem that does not conform to ISO-9660.
/usr/share/lorax/config_files/ppc/magic, 20: Warning: Printf format `h' is not valid for type `leshort' in description `%hd x'
/usr/share/lorax/config_files/ppc/magic, 21: Warning: Printf format `h' is not valid for type `leshort' in description `%hd,'
failed to open magic file: could not find any valid magic files!


Removing the h from the two printf formats for the GIF file format fixes the problem.

Also,

[root@localhost ~]# rpm -qf /usr/share/magic
file-libs-5.19-4.fc21.ppc64le

does not have these printf formats.

--- Additional comment from Mark Hamzy on 2014-08-27 17:20:13 EDT ---



--- Additional comment from Mark Hamzy on 2014-08-27 17:20:47 EDT ---



--- Additional comment from Dan Horák on 2014-08-28 06:59:06 EDT ---

seems the primary source of the magic and mapping file in lorax is cdrkit (genisoimage)

--- Additional comment from Mark Hamzy on 2014-09-02 15:10:19 EDT ---

Comment 1 Gustavo Luiz Duarte 2014-09-10 17:49:57 UTC
The pungi patch is attached to the original bz: https://bugzilla.redhat.com/attachment.cgi?id=933899

Comment 2 Adam Williamson 2014-09-10 18:35:22 UTC
Discussed at 2014-09-10 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2014-09-10/f21-blocker-review.2014-09-10-16.07.log.txt . Accepted as a freeze exception issue: PPC is a secondary arch so this is not release blocking, but the patches only touch PPC code paths and it would be nice to unblock the PPC compose process so PPC folks can work on the Alpha. Note https://bugzilla.redhat.com/show_bug.cgi?id=1134566 is a matching bug to track the lorax issue, it is also accepted as a freeze exception with the same rationale.

Comment 3 Dennis Gilmore 2014-09-11 15:55:01 UTC
Patch is upstream. I will get an update built today

Comment 4 Fedora Update System 2014-09-11 16:19:31 UTC
pungi-3.12-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/pungi-3.12-1.fc21

Comment 5 Fedora Update System 2014-09-11 22:11:28 UTC
Package pungi-3.12-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pungi-3.12-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10686/pungi-3.12-1.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-09-23 02:42:22 UTC
pungi-3.12-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.